Summary:	QOI image format plugin for Qt5
Name:		qoi-imageformat-qt5
Version:	1.1
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/qt-imageformats/
Source0:	qoi-imageformat-qt5-1.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt5-qtbase-gui xdg-utils
BuildRequires:	qt5-qtbase-devel

%define debug_package %{nil}

%description 
QOI image format plugin for Qt5 provides read-only access to QOI images (they can be opened via QImage class, for example)

%prep
%setup -q -n %{name}

%build
qmake-qt5
make

%install 
install -D libqoi.so $RPM_BUILD_ROOT%{_libdir}/qt5/plugins/imageformats/libqoi.so
install -D xdg-qoi.xml %{buildroot}/usr/share/%{name}-%{version}/xdg-qoi.xml
install -D qoi.desktop $RPM_BUILD_ROOT/usr/share/kservices5/qimageioplugins/qoi.desktop

%post
xdg-mime install /usr/share/%{name}-%{version}/xdg-qoi.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt5/plugins/imageformats/libqoi.so
/usr/share/%{name}-%{version}/xdg-qoi.xml
/usr/share/kservices5/qimageioplugins/qoi.desktop

%clean 
rm -rf %{buildroot}

%changelog 
*Mon Nov 29 2021 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package of qoi-imageformat-qt5
